#### Linux From Scratch - Version r13.0-133

### Chapter 8. Installing Basic System Software

- Prev

  M4-1.4.21

- Next

  Flex-2.6.4

- Up
- Home

# 8.15. Bc-7.0.3

The Bc package contains an arbitrary precision numeric processing language.

Approximate build time: less than 0.1 SBU
Required disk space: 7.8 MB

## 8.15.1. Installation of Bc

Prepare Bc for compilation:

    CC='gcc -std=c99' ./configure --prefix=/usr -G -O3 -r

The meaning of the configure options:

`CC='gcc -std=c99'`

  This parameter specifies the compiler and C standard to use.

`-G`

  Omit parts of the test suite that won't work until the bc program has been installed.

`-O3`

  Specify the optimization to use.

`-r`

  Enable the use of Readline to improve the line editing feature of bc.

Compile the package:

    make

To test bc, run:

    make test

Install the package:

    make install

## 8.15.2. Contents of Bc

Installed programs: bc and dc

### Short Descriptions

bc | A command line calculator
dc | A reverse-polish command line calculator

- Prev

  M4-1.4.21

- Next

  Flex-2.6.4

- Up
- Home